#ifndef __USART_H
#define __USART_H

#define RS485_TX GPIO_WriteBit(GPIOA, GPIO_Pin_1, Bit_SET);
#define RS485_RX GPIO_WriteBit(GPIOA, GPIO_Pin_1, Bit_RESET);

void Usart_Init(void);
void USART2_IRQHandler(void) __attribute__((interrupt("WCH-Interrupt-fast")));
unsigned char Uart_Received(void);
void Uart_IDLE_Callback(void);
unsigned char *Uart_Read(void);
void Uart_Clear_Flag(void);
unsigned char Uart_Received_Size(void);
void Uart_Send(unsigned char *data, unsigned int len);
__attribute__((used)) int _write(int fd, char *buf, int size);
void Uart_Set_BaudRate(unsigned int baudrate);
unsigned char Uart_TC_Flag(void);
void Uart_Clear_TC_Flag(void);
#endif
